Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# RotatingLog Class Reference

List of all members.

## Public Member Functions
def | __init__
def | __del__
def | close
def | fileno
def | filePath
def | flush
def | isatty
def | next
def | read
def | readline
def | readlines
def | rotate
def | seek
def | shouldRotate
def | tell
def | truncate
def | write
def | writelines
def | xreadlines
## Public Attributes
| closed
| file
| mode
| name
| path
| sizeLimit
| softspace
| timeInterval
| timeLimit

## Detailed Description

    A file() (or open()) replacement that will automatically open and write
    to a new file if the prior file is too large or after a time interval.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | path = `"./log_file"`,
|  |  | hourInterval = `24`,
|  |  | megabyteLimit = `1024`
| ) |  |

    path is a full or partial path with file name.
    hourInterval is the number of hours at which to rotate the file.
    megabyteLimit is the number of megabytes of file size the log
        may grow to, after which the log is rotated.  Note: The log
        file may get a bit larger than limit do to writing out whole
        lines (last line may exceed megabyteLimit or "megabyteGuidline").

def __del__ | ( |  | self | ) |

## Member Function Documentation

def close | ( |  | self | ) |

def fileno | ( |  | self | ) |

def filePath | ( |  | self | ) |

def flush | ( |  | self | ) |

def isatty | ( |  | self | ) |

def next | ( |  | self | ) |

def read | ( |  | self,
|  |  | size
| ) |  |

def readline | ( |  | self,
|  |  | size
| ) |  |

def readlines | ( |  | self,
|  |  | sizehint
| ) |  |

def rotate | ( |  | self | ) |

    Rotate the log now.  You normally shouldn't need to call this.
    See write().

def seek | ( |  | self,
|  |  | offset,
|  |  | whence = `0`
| ) |  |

def shouldRotate | ( |  | self | ) |

    Returns a bool about whether a new log file should
    be created and written to (while at the same time
    stopping output to the old log file and closing it).

def tell | ( |  | self | ) |

def truncate | ( |  | self,
|  |  | size
| ) |  |

def write | ( |  | self,
|  |  | data
| ) |  |

    Write the data to either the current log or a new one,
    depending on the return of shouldRotate() and whether
    the new file can be opened.

def writelines | ( |  | self,
|  |  | sequence
| ) |  |

def xreadlines | ( |  | self | ) |

## Member Data Documentation

closed

file

mode

name

path

sizeLimit

softspace

timeInterval

timeLimit

All Classes Namespaces Functions Variables Enumerations Enumerator Properties